deprecations:
  - feature_name: "GitLab 12.9 will no longer use Alpine for Python Dependency Scanning"
    due: Mar. 22, 2020
    reporter: NicoleSchwartz
    description: |
      We are excited to announce that we are making [Debian slim](https://www.debian.org) the base image for our Python Dependency Scanning. In [issue #13694](https://gitlab.com/gitlab-org/gitlab/issues/13694#conclusion), we evaluated enhancing our Python support by changing our base image from [Alpine Linux](https://www.alpinelinux.org/), specifically enabling [manylinux2010](https://www.python.org/dev/peps/pep-0571/#the-manylinux2010-policy). We decided to switch to Debian slim to make the scanner support more Python projects. You can follow the work in progress in issue [#196833](https://gitlab.com/gitlab-org/gitlab/issues/196833).

      Because the base image is no longer Alpine Linux, those using Alpine-specific commands, such as `apk add <package>`, right before the scan (this only applies to users who have disabled Docker-in-Docker) or when building a variant of the official Docker image must make modifications. Please follow the directions [in our blog post](https://about.gitlab.com/releases/2020/02/13/upcoming-deprecation-of-secure-analyzer-image/) to make any needed updates.
